# $Revision: 1.33 $, $Date: 2007/02/12 21:23:51 $
Summary:	Cross PPC GNU binary utility development utilities - gcc
Summary(es.UTF-8):	Utilitarios para desarrollo de binarios de la GNU - PPC gcc
Summary(fr.UTF-8):	Utilitaires de développement binaire de GNU - PPC gcc
Summary(pl.UTF-8):	Skrośne narzędzia programistyczne GNU dla PPC - gcc
Summary(pt_BR.UTF-8):	Utilitários para desenvolvimento de binários da GNU - PPC gcc
Summary(tr.UTF-8):	GNU geliştirme araçları - PPC gcc
Name:		crossppc-gcc
Version:	4.0.2
Release:	2
Epoch:		1
License:	GPL
Group:		Development/Languages
Source0:	ftp://gcc.gnu.org/pub/gcc/releases/gcc-%{version}/gcc-%{version}.tar.bz2
# Source0-md5:	a659b8388cac9db2b13e056e574ceeb0
Patch0:		gcc-pr25715.patch
URL:		http://gcc.gnu.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	crossppc-binutils
BuildRequires:	fileutils >= 4.0.41
BuildRequires:	flex
BuildRequires:	texinfo >= 4.1
Requires:	crossppc-binutils
Requires:	gcc-dirs
ExcludeArch:	ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		ppc-pld-linux
%define		arch		%{_prefix}/%{target}
%define		gccarch		%{_libdir}/gcc/%{target}
%define		gcclib		%{gccarch}/%{version}

%define		_noautostrip	.*/libgc.*\\.a

%description
This package contains a cross-gcc which allows the creation of
binaries to be run on PPC Linux on other machines.

%description -l de.UTF-8
Dieses Paket enthält einen Cross-gcc, der es erlaubt, auf einem
anderem Rechner Code für PPC Linux zu generieren.

%description -l pl.UTF-8
Ten pakiet zawiera skrośny gcc pozwalający na robienie na innych
maszynach binariów do uruchamiania na Linuksie PPC.

%package c++
Summary:	C++ support for crossppc-gcc
Summary(pl.UTF-8):	Obsługa C++ dla crossppc-gcc
Group:		Development/Languages
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description c++
This package adds C++ support to the GNU Compiler Collection for PPC.

%description c++ -l pl.UTF-8
Ten pakiet dodaje obsługę C++ do kompilatora gcc dla PPC.

%prep
%setup -q -n gcc-%{version}
%patch0 -p1

%build
cp -f /usr/share/automake/config.* .
rm -rf obj-%{target}
install -d obj-%{target}
cd obj-%{target}

CFLAGS="%{rpmcflags}" \
CXXFLAGS="%{rpmcflags}" \
TEXCONFIG=false \
../configure \
	--prefix=%{_prefix} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
	--bindir=%{_bindir} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libdir} \
	--disable-shared \
	--disable-threads \
	--without-headers \
	--enable-languages="c,c++" \
	--enable-c99 \
	--enable-long-long \
	--disable-nls \
	--with-gnu-as \
	--with-gnu-ld \
	--with-demangler-in-ld \
	--with-system-zlib \
	--disable-multilib \
	--without-x \
	--target=%{target} \
	--host=%{_target_platform} \
	--build=%{_target_platform}

%{__make} all-gcc

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C obj-%{target} install-gcc \
	DESTDIR=$RPM_BUILD_ROOT

install obj-%{target}/gcc/specs $RPM_BUILD_ROOT%{gcclib}

# don't want this here
rm -f $RPM_BUILD_ROOT%{_libdir}/libiberty.a

# include/ contains install-tools/include/* and headers that were fixed up
# by fixincludes, we don't want former
gccdir=$RPM_BUILD_ROOT%{gcclib}
mkdir	$gccdir/tmp
# we have to save these however
mv -f	$gccdir/include/syslimits.h $gccdir/tmp
rm -rf	$gccdir/include
mv -f	$gccdir/tmp $gccdir/include
cp -f	$gccdir/install-tools/include/*.h $gccdir/include
# but we don't want anything more from install-tools
rm -rf	$gccdir/install-tools

%if 0%{!?debug:1}
%{target}-strip -g -R.note -R.comment $RPM_BUILD_ROOT%{gcclib}/libgcc.a
%{target}-strip -g -R.note -R.comment $RPM_BUILD_ROOT%{gcclib}/libgcov.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{target}-gcc
%attr(755,root,root) %{_bindir}/%{target}-cpp
%dir %{gccarch}
%dir %{gcclib}
%attr(755,root,root) %{gcclib}/cc1
%attr(755,root,root) %{gcclib}/collect2
%{gcclib}/*crt*.o
%{gcclib}/libgcc.a
%{gcclib}/specs*
%dir %{gcclib}/include
%{gcclib}/include/*.h
%{_mandir}/man1/%{target}-cpp.1*
%{_mandir}/man1/%{target}-gcc.1*

%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{target}-g++
%attr(755,root,root) %{gcclib}/cc1plus
%{_mandir}/man1/%{target}-g++.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossppc-gcc.spec,v $
Revision 1.33  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.32  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.31  2006/01/09 20:34:42  pluto
- build simplified. hack'em all.
- release 2.

Revision 1.30  2005/10/03 09:45:03  pluto
- updated to 4.0.2, cleanups.

Revision 1.29  2005/10/03 06:43:05  pluto
- updated to 4.0.2.

Revision 1.28  2005/07/31 23:02:00  pluto
- updated to 4.0.1 final.

Revision 1.27  2005/06/13 15:49:41  pluto
- updated to 4.0.1-20050609.

Revision 1.26  2005/05/22 13:14:23  pluto
- updated to 4.0.1-20050521.

Revision 1.25  2005/05/15 21:24:12  pluto
- desc fixed.

Revision 1.24  2005/05/15 21:09:48  pluto
- updated to 4.0.1-20050514.

Revision 1.23  2005/05/15 20:47:41  pluto
- strip with -R.note -R.comment.

Revision 1.22  2005/05/08 17:19:45  pluto
- updated to 4.0.1-20050507 (bugfix update).

Revision 1.21  2005/05/02 11:35:39  pluto
- use common PR patches, no-FPU abi disabled, system includes saved.
- release 2.

Revision 1.20  2005/04/26 10:09:37  pluto
- crossppc-gcc updated to 4.0.0.

Revision 1.19  2004/11/20 14:18:30  pluto
- cleanups.

Revision 1.18  2004/11/20 14:09:23  pluto
- refresh gcc/libc config.sub (amd64 issue).

Revision 1.17  2004/11/18 22:56:59  pluto
- ready for Th.
- release 2.

Revision 1.16  2004/11/18 22:54:43  pluto
- BRs sorted/updated, URL added.

Revision 1.15  2004/11/17 22:26:19  pluto
- syncing specs, cleanups.

Revision 1.14  2004/11/17 22:01:31  pluto
- %%build/%%files finished.

Revision 1.13  2004/11/17 21:33:39  pluto
- newlib headers are used only on win32 hosted crosscompilers.

Revision 1.12  2004/10/11 14:24:31  qboosh
- BR: automake

Revision 1.11  2004/10/09 20:25:38  havner
- config.sub

Revision 1.10  2004/10/09 18:51:00  havner
- 3.3.5 (rel 0.1, doesn't build, signal.h)

Revision 1.9  2004/10/08 04:52:43  ankry
- R: gcc-dirs, rel++

Revision 1.8  2004/07/20 13:36:51  qboosh
- up to 3.3.4, cleanups/unifications
- still doesn't build - signal.h is needed even for static libgcc

Revision 1.7  2004/07/20 12:37:31  qboosh
- desc fixes (not only i386), removed obsolete configure options

Revision 1.6  2004/06/20 13:19:23  qboosh
- use proper libdir

Revision 1.5  2004/05/30 12:04:05  qboosh
- fixed --host/--build

Revision 1.4  2004/05/29 11:26:53  adasi
- cc1plus in files
- don't know what to do with /usr/ppc..../include - this should be llh from
  PPC...

Revision 1.3  2004/05/29 11:00:48  adasi
- added g++, don't know if it works

Revision 1.2  2004/05/28 17:55:02  qboosh
- ExcludeArch: ppc (conflicts with native toolchain)

Revision 1.1  2004/05/28 14:42:09  adasi
- based on crosssparc-gcc

Revision 1.2  2004/05/22 09:32:58  pluto
- stripping@ix86 fixed.
